﻿using UnityEngine;
using UnityEngine.UI;


/// <summary>
/// ゲームの開始・再開処理
/// </summary>
public class StartRestart : MonoBehaviour {
	/// <summary>
	/// スタートボタンが押された際の処理
	/// </summary>
	public void OnClickStart(Button button) {
		// ポーズ解除
		Time.timeScale = 1f;

		// ボタン非表示
		button.gameObject.SetActive(false);
	}

	/// <summary>
	/// 
	/// </summary>
	public void OnClickRestart() {
		// シーンの再ロード
		UnityEngine.SceneManagement.SceneManager.LoadScene(0);
	}
}
